Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v2
Class MandateType

    java.lang.Object
      be.fgov.ehealth.commons.core.v1.IdentifierType
          be.fgov.ehealth.ehbox.core.v2.MandateType

All Implemented Interfaces:
  Serializable

    public class MandateType

extends IdentifierType
implements Serializable

User provides ID of his mandator and the quality of the mandator in use.

Java class for MandateType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MandateType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:core:v1}IdentifierType">
           <sequence>
             <element name="Quality" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MandateType()`

Method Summary
`String` | `getQuality()` Gets the value of the quality property.
`void` | `setQuality(String value)` Sets the value of the quality property.

Methods inherited from class be.fgov.ehealth.commons.core.v1.IdentifierType
`getId, getSubType, getType, setId, setSubType, setType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MandateType

    public MandateType()

Method Detail

### getQuality

    public String getQuality()

  Gets the value of the quality property.

  Returns:
    possible object is `String`

### setQuality

    public void setQuality(String value)

  Sets the value of the quality property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.